// src/styles/lightTheme.js
import { prism } from 'react-syntax-highlighter/dist/esm/styles/prism';

export const lightTheme = {
  ...prism,

  // General code block styles
  'code[class*="language-"]': {
    color: '#333', // Default code color
    background: '#f5f5f5', // Background color
    fontFamily: 'Consolas, Monaco, monospace', // Font family
    fontSize: '14px',
  },

  // Styles for the entire code block
  'pre[class*="language-"]': {
    background: '#f5f5f5',
    padding: '1em',
    borderRadius: '0.5em',
    overflowX: 'auto',
    fontFamily: 'Consolas, Monaco, monospace',
    fontSize: '14px',
  },

  // Keyword color
  'code .token.keyword': {
    color: '#007acc', // Keywords color
    fontWeight: 'bold',
  },

  // String color
  'code .token.string': {
    color: '#d14', // Strings color
  },

  // Comment color
  'code .token.comment': {
    color: '#998', // Comments color
    fontStyle: 'italic',
  },

  // Function color
  'code .token.function': {
    color: '#6a8759', // Functions color
  },

  // Operator color
  'code .token.operator': {
    color: '#a626a4', // Operators color
  },

  // Variable color
  'code .token.variable': {
    color: '#e06c75', // Variables color
  },

  // Number color
  'code .token.number': {
    color: '#c678dd', // Numbers color
  },

  // Punctuation color
  'code .token.punctuation': {
    color: '#333', // Punctuation color
  },

  // Property color
  'code .token.property': {
    color: '#e5c07b', // Properties color
  },
};
